CVE-2019-7635

Priority
Description
SDL (Simple DirectMedia Layer) through 1.2.15 and 2.x through 2.0.9 has a
heap-based buffer over-read in Blit1to4 in video/SDL_blit_1.c.
Package
Upstream:released (1.2.15-10+deb8u1)
Ubuntu 12.04 ESM (Precise Pangolin):needed
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 19.04 (Disco Dingo):needed
Ubuntu 19.10 (Eoan):needed
Patches:
Upstream:https://hg.libsdl.org/SDL/rev/08f3b4992538
Upstream:https://hg.libsdl.org/SDL/rev/4646533663ae
Package
Upstream:released (2.0.2+dfsg1-6)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 19.04 (Disco Dingo):needed
Ubuntu 19.10 (Eoan):needed
Patches:
Upstream:https://hg.libsdl.org/SDL/rev/7c643f1c1887
Package
Upstream:released (2.0.0+dfsg-3+deb8u2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 19.04 (Disco Dingo):needed
Ubuntu 19.10 (Eoan):not-affected (2.0.5+dfsg1-1)
Patches:
Upstream:https://hg.libsdl.org/SDL_image/rev/03bd33e8cb49
Package
Upstream:released (1.2.12-5+deb8u2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 19.04 (Disco Dingo):needed
Ubuntu 19.10 (Eoan):not-affected (1.2.12-11)
Patches:
Upstream:https://hg.libsdl.org/SDL_image/rev/a3a7cac00d5f
More Information

Updated: 2019-09-19 14:54:25 UTC (commit d32ebc32606b9517c6fa7d65a15441e2a57a6de5)